Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.alteration
Class RemovePrimaryKeyChange

    java.lang.Object
      org.apache.ddlutils.alteration.TableChangeImplBase
          org.apache.ddlutils.alteration.RemovePrimaryKeyChange

All Implemented Interfaces:
  ModelChange, TableChange

    public class RemovePrimaryKeyChange

extends TableChangeImplBase

Represents the removal of the primary key from a table.

Version:
  $Revision: $

Constructor Summary
`RemovePrimaryKeyChange(Table table, Column[] primaryKeyColumns)` Creates a new change object.

Method Summary
`void` | `apply(Database database, boolean caseSensitive)` Applies this change to the given database.
`Column[]` | `getPrimaryKeyColumns()` Returns the primary key columns making up the primary key.

Methods inherited from class org.apache.ddlutils.alteration.TableChangeImplBase
`getChangedTable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemovePrimaryKeyChange

    public RemovePrimaryKeyChange(Table table,
                                  Column[] primaryKeyColumns)

  Creates a new change object.

  Parameters:
    `table` - The table to remove the primary key from
    `primaryKeyColumns` - The columns making up the primary key

Method Detail

### getPrimaryKeyColumns

    public Column[] getPrimaryKeyColumns()

  Returns the primary key columns making up the primary key.

  Returns:
    The primary key columns

### apply

    public void apply(Database database,
                      boolean caseSensitive)

  Applies this change to the given database.

  Parameters:
    `database` - The database
    `caseSensitive` - Whether the case of names matters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.